Package org.eclipse.mat.hprof

## Class Pass2Parser

- java.lang.Object
- - org.eclipse.mat.hprof.Pass2Parser

    public class Pass2Parser
    extends Object

Parser used to read the hprof formatted heap dump

### Constructor Summary

Constructors
`Pass2Parser​(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference, long streamLength, boolean parallel)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `read​(File file, String prefix, String dumpNrToRead)`
`static Object` `readValue​(IPositionInputStream in, ISnapshot snapshot, int type, int idSize)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pass2Parser

    public Pass2Parser​(IHprofParserHandler handler,
                       SimpleMonitor.Listener monitor,
                       HprofPreferences.HprofStrictness strictnessPreference,
                       long streamLength,
                       boolean parallel)

### Method Detail

#### read

    public void read​(File file,
                     String prefix,
                     String dumpNrToRead)
              throws SnapshotException,
                     IOException

Throws:
  `SnapshotException`
  `IOException`

#### readValue

    public static Object readValue​(IPositionInputStream in,
                                   ISnapshot snapshot,
                                   int type,
                                   int idSize)
                            throws IOException

Throws:
  `IOException`